Imagination PowerVR SDK Blog

PVRVFrame - minor bug - EGL - version 1.3 vs. 1.4

pvrvframe

#1

There is an inconsistency in reporting the EGL version with PVRVFrame 2.09.29.0646 and 2.10@812485 (OGLES-2.0Windows_x86_32libEGL.dll)…



eglInitialize() reports 1.3, but EGL_VERSION string reports 1.4





EGLint majorVersion = 0;
EGLint minorVersion = 0;
eglInitialize(display, &majorVersion, &minorVersion); // majorVersion = 1, minorVersion = 3
eglQueryString(display, EGL_VERSION); // “1.4 PVRVFrame 8.1 (SDK 2.10@812485)”[/CODE]

EGLint&nbsp;majorVersion&nbsp;=&nbsp;0;<br>EGLint&nbsp;minorVersion&nbsp;=&nbsp;0;<br>eglInitialize(display,&nbsp;&amp;majorVersion,&nbsp;&amp;minorVersion);&nbsp;<span style="color:green;">//&nbsp;majorVersion&nbsp;=&nbsp;1,&nbsp;minorVersion&nbsp;=&nbsp;3<br></span>eglQueryString(display,&nbsp;EGL_VERSION);&nbsp;<span style="color:green;">//&nbsp;"1.4&nbsp;PVRVFrame&nbsp;8.1&nbsp;(SDK&nbsp;2.10@812485)"</span>